Subject: Re: bug#15549: hydra.gnu.org uses nontrivial and nonfree javascript

From: [email-masked] (Ludovic Courtès)
Date: Tue, 10 Oct 2017 08:55:34 +0200

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> AFAICS it’s actually the case.  However, all this lacks the right tags
>> for LibreJS to recognize it.
>>
>> Could you tell us what’s needed to make it work?
>>
>> I can then submit a patch for Hydra itself.  It would be neat if someone
>> else would submit the JQuery/Bootstrap parts, though.
>
> Has our version of hydra diverged from upstream, or are we just using an
> old version?

We run an old and slightly modified version of Hydra.  (Unfortunately,
we followed worst practices here, which means the changes are only on
hydra.gnu.org.)

> We need to add license comments to the JavaScript files and to
> non-trivial embedded script blocks.
>
> I would like to do this, but I don’t know where the code is that I
> should edit, or if this should just be done on our single
> soon-to-be-obsolete hydra.gnu.org instance.

I depends on the breadth of the changes.  Where are the license tags
missing?  Is it mostly in .js files, or in <script> tags?

Thanks,
Ludo’.